%global gslibdir %{_libdir}/GNUstep/Libraries

%define gnustepbase_major 1.24
%define libgnustepbase %mklibname gnustep-base  %gnustepbase_major


Name:		gnustep-base
Version:	1.24.8
Release:	%mkrel 1
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Development/Other
Summary:	GNUstep Base library package
URL:		http://www.gnustep.org/
Source:		ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.xz

BuildRequires:	gcc-objc
BuildRequires:	libffi-devel
BuildRequires:	gnutls-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	gnustep-make
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	gmp-devel
BuildRequires:	texi2html
BuildRequires:	texinfo
BuildRequires:	libicu-devel

Conflicts:	libFoundation

%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.

%package -n %libgnustepbase
Summary:        GNUStep Base Libraries
Group:          Development/Other

%description -n %libgnustepbase
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.


This packages contains the run-time libraries for %{name}

%package devel
Summary:	Header of the GNUstep Base library packes
Group:		Development/Libraries
Requires:	%libgnustepbase = %{version}-%{release}
Requires:	gnustep-make
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info

%description devel
This package contains the header files of the gnustep-base package.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description doc
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.


This package contains the documentation for %{name}

%prep
%setup -q
%apply_patches

iconv -f iso-8859-1 -t utf-8 ChangeLog.2 -o ChangeLog.2.utf8
mv ChangeLog.2.utf8 ChangeLog.2

%build
autoreconf -fi
ffi_include=$(pkg-config --cflags-only-I libffi | sed -e 's/^\-\I//')
%gnustep_configure --disable-ffcall --with-ffi-include=$ffi_include

%gnustep_make -n

%install
rm -rf %buildroot
%gnustep_install -n

# Rename pl to pllist to fix naming conflict
mv ${RPM_BUILD_ROOT}%{_bindir}/pl ${RPM_BUILD_ROOT}%{_bindir}/pllist

rm -f Examples/.cvsignore
rm -f Examples/.gdbinit

# We need a modified GNUstep.conf, because the DTDs are install not
# on there real destination

sed -e "s|GNUSTEP_SYSTEM_LIBRARY=|GNUSTEP_SYSTEM_LIBRARY=$RPM_BUILD_ROOT|" \
    -e "s|GNUSTEP_SYSTEM_HEADERS=|GNUSTEP_SYSTEM_HEADERS=$RPM_BUILD_ROOT|" \
    %{_sysconfdir}/GNUstep/GNUstep.conf >GNUstep.conf

export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
export GNUSTEP_CONFIG_FILE=$(pwd)/GNUstep.conf

%gnustep_makedoc

%gnustep_installdoc

%files
%{_bindir}/HTMLLinker
%{_bindir}/autogsdoc
%{_bindir}/cvtenc
%{_bindir}/defaults
%{_bindir}/gdnc
%{_bindir}/gdomap
%{_bindir}/gspath
%{_bindir}/make_strings
%{_bindir}/pl2link
%{_bindir}/pldes
%{_bindir}/plget
%{_bindir}/pllist
%{_bindir}/plmerge
%{_bindir}/plparse
%{_bindir}/plser
%{_bindir}/sfparse
%{_bindir}/xmlparse
%{_mandir}/man1/*
%{_mandir}/man8/*
%{gnustep_dtddir}/

%doc ANNOUNCE ChangeLog* COPYING* NEWS README

%files -n %libgnustepbase
%{gnustep_libraries}/
%{_libdir}/libgnustep-base.so.%gnustepbase_major
%{_libdir}/libgnustep-base.so.%gnustepbase_major.*

%doc COPYING*

%files devel
%{_includedir}/Foundation/
%{_includedir}/GNUstepBase/
%{_includedir}/gnustep/
%{_libdir}/libgnustep-base.so
%{gnustep_additional}/base.make
%doc Examples

%files doc
%{_infodir}/*
%_datadir/GNUstep/Documentation/


%changelog
* Mon Jul 02 2018 adrianomorselli <adrianomorselli> 1.24.8-1uplos2018
- import from france for meson
